<?php
/**
 * Class that operate on table 'stage'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2014-04-08 10:32
 */
class StageMySqlExtDAO extends StageMySqlDAO{

	public function updateConditions($stage)
	{
		$sql = 'UPDATE stage SET date = ?,  conditions = ?, userid = ? WHERE stageId = ?';
		$sqlQuery = new SqlQuery($sql);
		
		$sqlQuery->set($stage->date);
		$sqlQuery->setNumber($stage->conditions);
		$sqlQuery->setNumber($stage->userid);

		$sqlQuery->setNumber($stage->stageId);
		return $this->executeUpdate($sqlQuery);
	}
}
?>